/***********************************************************************************
FILE NAME    : M16C26ADEF.h

DESCRIPTION  : HTSdemo M16C26A Specific Definitions

Copyright   : 2006 Renesas Technology Europe Ltd.
Copyright   : 2006 Renesas Technology Corporation.
          All Rights Reserved
***********************************************************************************/

#ifndef HTSdemoDEF_H
#define HTSdemoDEF_H

/* Peripheral Clock Speed */
#define  f1_CLK_SPEED    20000000

/* General Values */
#define LEDS_ON       (0x00)
#define LEDS_OFF      (0xFF)
#define LED_ON        (0)
#define LED_OFF       (1)
#define SET_BIT_HIGH  (1)          
#define SET_BIT_LOW   (0)          
#define SET_BYTE_HIGH (0xFF)        
#define SET_BYTE_LOW  (0x00)        
#define TRUE          (1)          
#define FALSE         (0)
#define ON              1
#define OFF             0

/* LED port settings */
/* LED Port data register */
#define LED_PORT_DR    p7    

/* Port bit to toggle for flashing LED */
#define LED_BIT      (0x55)      

/* Define switches to be polled if not available as interrupts */
/* Switches */
#define  S1         p9_0  
#define S1_DDR      pd9_0

/* LEDs */
#define RED_LED     p7_0
#define AMB_LED     p7_2
#define GRN_LED     p7_4
#define ORG_LED     p7_6

#define RED_DDR     pd7_0    // LED port direction register
#define AMB_DDR     pd7_2
#define GRN_DDR     pd7_4
#define ORG_DDR     pd7_6

/* Analog Inputs */
#define RC_IN       p10_0
#define CdS_IN      p10_1

/* Filtered Discrete Output */
#define RC_OUT      p8_0

/* Audio Outputs */
#define AUDIO_LEFT  p7_4
#define AUDIO_RIGHT p7_6

/* Serial Flash interface */
#define FLASH_SCS   p6_0
#define FLASH_SCK   p6_1
#define FLASH_SSO   p6_2
#define FLASH_SSI   p6_3

/* Interrupt Control Macros */
#define ENABLE_IRQ   { _asm(" FSET I");}
#define DISABLE_IRQ  { _asm(" FCLR I");}

/* Use these macros for switch inputs. */ 
#define ENABLE_SWITCHES {S1_DDR = 0;}

/* Use these macros to control the LEDs. */ 
#define LED(led, state) ((led) = !state)
#define ENABLE_LEDS {RED_DDR = 1; AMB_DDR = 1; GRN_DDR = 1; ORG_DDR = 1; RED_LED = LED_OFF; AMB_LED = LED_OFF; GRN_LED = LED_OFF; ORG_LED = LED_OFF;}

#endif
